Loading...
Searching...
No Matches
Catch::AssertionResultData Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::AssertionResultData:
[legend]

## Public Member Functions

| AssertionResultData ()=delete
| AssertionResultData (ResultWas::OfType _resultType, LazyExpression const &_lazyExpression)
std::string | reconstructExpression () const

## Public Attributes

std::string | message
std::string | reconstructedExpression
LazyExpression | lazyExpression
ResultWas::OfType | resultType

## Constructor & Destructor Documentation

## AssertionResultData() [1/2]

Catch::AssertionResultData::AssertionResultData | ( |  | ) |

delete

Here is the call graph for this function:
Here is the caller graph for this function:

## AssertionResultData() [2/2]

Catch::AssertionResultData::AssertionResultData | ( | ResultWas::OfType | _resultType,
|  | LazyExpression const & | _lazyExpression )

## Member Function Documentation

## reconstructExpression()

std::string Catch::AssertionResultData::reconstructExpression | ( |  | ) | const

Here is the call graph for this function:

## Member Data Documentation

## lazyExpression

LazyExpression Catch::AssertionResultData::lazyExpression

## message

std::string Catch::AssertionResultData::message

## reconstructedExpression

std::string Catch::AssertionResultData::reconstructedExpression

mutable

## resultType

ResultWas::OfType Catch::AssertionResultData::resultType

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp